# Package org.apache.tomcat.util.http

Special utils for handling HTTP-specific entities - headers, parameters, cookies, etc. The utils are not specific to tomcat, but use util.MessageBytes.

Interface Summary
CookieProcessor

Class Summary
ConcurrentDateFormat: A thread safe wrapper around `SimpleDateFormat` that does not make use of ThreadLocal and - broadly - only creates enough SimpleDateFormat objects to satisfy the concurrency requirements.
CookieProcessorBase
FastHttpDateFormat: Utility class to generate HTTP dates.
HeaderUtil
MimeHeaders: Memory-efficient repository for Mime Headers.
Parameters
RequestUtil
ResponseUtil
Rfc6265CookieProcessor
ServerCookie: Server-side cookie representation.
ServerCookies: This class is not thread-safe.

Enum Summary
Parameters.FailReason
SameSiteCookies